/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   Various aspects of parsed CVSROOT

*/

#include "config.h"

#include "cvsroot.h"

/*
 *
 * Returns true if specified method requires password (needs to ask
 * user or consult ~/.cvspass
 *
 */
int
method_needs_password (int method)
{
    switch (method) {
    case pserver_method:
    case sslpserver_method:
    case nserver_method:
    case sslnserver_method:
	return 1;

    default:
	return 0;
    }
}
