/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Morozov <morozov@novosoft.ru>, Novosoft, Inc. 2001

   Network client using file descriptor

*/

#ifndef BASIC_FD_CLIENT_H
#define BASIC_FD_CLIENT_H 1

#include <sys/types.h>
#include "network-client.h"

NCLI create_fd_client(int fdin, int fdout, cvsroot_t *CVSROOT, ncli_error_cb error_cb);

ssize_t basic_fd_read(NCLI ncli, int fd, char* buf, size_t len);
NCLI_STATUS basic_fd_write(NCLI ncli, int fd, char* buf, size_t len);

#endif /* BASIC_FD_CLIENT_H */
