/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Morozov <morozov@novosoft.ru>,
   Novosoft, Inc. 2001

   http_proxy client helpers functions

*/

#ifndef HTTP_PROXY_CLIENT_H
#define HTTP_PROXY_CLIENT_H 1

#include "cvsroot.h"
#include "network-client.h"

#define HTTP_PROXY_VAR "CVS_PROXY"
#define HTTP_NOPROXY_VAR "CVS_NOPROXY"

int ncli_need_http_proxy(NCLI ncli, char *hostname, int port);
int ncli_connect_http_proxy(NCLI ncli, char *hostname, int port);

#endif /* HTTP_PROXY_CLIENT_H */
