/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 1999-2000

   lockpasswd() and unlockpasswd() prevent simultaneous changing of
   CVSROOT/cvspasswd by several users.

*/

#ifndef LOCKPASSWD_H
#define LOCKPASSWD_H

#include "cvs.h"

void
lockpasswd PROTO((char *repos));

void 
unlockpasswd PROTO((char *repos));

#endif /* LOCKPASSWD_H */
