/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   Network client with OpenSSL support

*/

#ifndef SSL_CLIENT_H
#define SSL_CLIENT_H

#include "cvsroot.h"
#include "network-client.h"

struct network_client *create_ssl_client(cvsroot_t *CVSROOT,
					 ncli_error_cb error_cb);

#endif /* SSL_CLIENT_H */
