/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 1999

   gensalt() generates (supposedly) good salt for md5-crypt

*/

#include <stdlib.h>

#include "cvs.h"
#include "gensalt.h"

char *
gensalt(void)
{
    char *alphabet = "./0AaBb1CcDd2EeFf3GgHh4IiJj5KkLl6MmNn7OoPp8QqRr9SsTtUuVvWwXxYyZz";
    int i;
    char *salt = malloc(13);
    if (!salt)
	return NULL;

    strcpy(salt, "$1$abcdefgh$");
    for (i = 3; i < 10; i++ )
    {
	salt[i] = alphabet[(rand() >> 8) % strlen(alphabet)];
    }
    return salt;
}
    
