/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   Routines for executing subprocesses

*/

#ifndef RUN_H
#define RUN_H

#include "PROTO.h"

#include "stdio.h"

FILE *run_popen PROTO((const char *cmd, const char *mode));

int piped_child PROTO((char **command, int *tofdp, int *fromfdp));

void close_on_exec (int fd);

#endif /* RUN_H */
