/* 
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   Copyright (c) Alexey Mahotkin <alexm@hsys.msk.ru> 2001

   Network client based on BSD sockets.

*/

#ifndef SOCKET_CLIENT_H
#define SOCKET_CLIENT_H 1

#include "cvsroot.h"
#include "network-client.h"

struct network_client *create_socket_client(cvsroot_t *CVSROOT,
					    ncli_error_cb error_cb);

/* Helper functions for socket-based clients */
int ncli_connect_socket (NCLI ncli, char *hostname, int port);
int ncli_connect_socket_direct (NCLI ncli, char *hostname, int port);

#endif /* SOCKET_CLIENT_H */
